package space.nstart.pcp.slots_service.configuration

import org.springframework.boot.context.properties.ConfigurationProperties
import org.springframework.stereotype.Component
import java.time.Duration

@Component("bookedSlotsTimeoutProperties")
@ConfigurationProperties(prefix = "pcp.slots.status.v1")
data class BookedSlotsTimeoutProperties(
    var timeoutCheckInterval: Duration = Duration.ofHours(1),
    var timeoutThreshold: Duration = Duration.ofHours(1)
)
